
---
events:
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineSystem.cmake:205 (message)"
      - "CMakeLists.txt:26 (project)"
    message: |
      The system is: Linux - 6.12.94+deb13-amd64 - x86_64
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCCompiler.cmake:123 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Compiling the C compiler identification source file "CMakeCCompilerId.c" succeeded.
      Compiler: /usr/bin/cc 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the C compiler identification source "CMakeCCompilerId.c" produced "a.out"
      
      The C compiler identification is Clang, found in:
        /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/3.31.6/CompilerIdC/a.out
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:17 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:64 (__determine_compiler_id_test)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCXXCompiler.cmake:126 (CMAKE_DETERMINE_COMPILER_ID)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Compiling the CXX compiler identification source file "CMakeCXXCompilerId.cpp" succeeded.
      Compiler: /usr/bin/c++ 
      Build flags: 
      Id flags:  
      
      The output was:
      0
      
      
      Compilation of the CXX compiler identification source "CMakeCXXCompilerId.cpp" produced "a.out"
      
      The CXX compiler identification is Clang, found in:
        /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/3.31.6/CompilerIdCXX/a.out
      
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    checks:
      - "Detecting C compiler ABI info"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: ""
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "CMAKE_C_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_f416f
        [1/2] /usr/bin/cc   -v -MD -MT CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c
        Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
        Target: x86_64-pc-linux-gnu
        Thread model: posix
        InstalledDir: /usr/lib/llvm-21/bin
        Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Candidate multilib: .;@m64
        Selected multilib: .;@m64
         (in-process)
         "/usr/lib/llvm-21/bin/clang" -cc1 -triple x86_64-pc-linux-gnu -emit-obj -disable-free -clear-ast-before-backend -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fmath-errno -ffp-contract=on -fno-rounding-math -mconstructor-aliases -funwind-tables=2 -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -fdebug-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT -v -fcoverage-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT -resource-dir /usr/lib/llvm-21/lib/clang/21 -dependency-file CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -sys-header-deps -internal-isystem /usr/lib/llvm-21/lib/clang/21/include -internal-isystem /usr/local/include -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include -internal-externc-isystem /usr/include/x86_64-linux-gnu -internal-externc-isystem /include -internal-externc-isystem /usr/include -ferror-limit 19 -fgnuc-version=4.2.1 -fskip-odr-check-in-gmf -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -x c /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c
        clang -cc1 version 21.1.8 based upon LLVM 21.1.8 default target x86_64-pc-linux-gnu
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include"
        ignoring nonexistent directory "/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/llvm-21/lib/clang/21/include
         /usr/local/include
         /usr/include/x86_64-linux-gnu
         /usr/include
        End of search list.
        [2/2] : && /usr/bin/cc  -v -Wl,-v CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -o cmTC_f416f   && :
        Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
        Target: x86_64-pc-linux-gnu
        Thread model: posix
        InstalledDir: /usr/lib/llvm-21/bin
        Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Candidate multilib: .;@m64
        Selected multilib: .;@m64
         "/usr/bin/ld" --hash-style=gnu --build-id --eh-frame-hdr -m elf_x86_64 -pie -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_f416f /lib/x86_64-linux-gnu/Scrt1.o /lib/x86_64-linux-gnu/crti.o /usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o -L/usr/lib/gcc/x86_64-linux-gnu/14 -L/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64 -L/lib/x86_64-linux-gnu -L/lib/../lib64 -L/usr/lib/x86_64-linux-gnu -L/usr/lib64 -L/lib -L/usr/lib -v CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o /lib/x86_64-linux-gnu/crtn.o
        GNU ld (GNU Binutils for Debian) 2.44
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:182 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Parsed C implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/llvm-21/lib/clang/21/include]
          add: [/usr/local/include]
          add: [/usr/include/x86_64-linux-gnu]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/llvm-21/lib/clang/21/include] ==> [/usr/lib/llvm-21/lib/clang/21/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include/x86_64-linux-gnu] ==> [/usr/include/x86_64-linux-gnu]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/lib/llvm-21/lib/clang/21/include;/usr/local/include;/usr/include/x86_64-linux-gnu;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Parsed C implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?))("|,| |$)]
        ignore line: [Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/ninja -v cmTC_f416f]
        ignore line: [[1/2] /usr/bin/cc   -v -MD -MT CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -MF CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o.d -o CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -c /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c]
        ignore line: [Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/lib/llvm-21/bin]
        ignore line: [Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Candidate multilib: .]
        ignore line: [@m64]
        ignore line: [Selected multilib: .]
        ignore line: [@m64]
        ignore line: [ (in-process)]
        ignore line: [ "/usr/lib/llvm-21/bin/clang" -cc1 -triple x86_64-pc-linux-gnu -emit-obj -disable-free -clear-ast-before-backend -disable-llvm-verifier -discard-value-names -main-file-name CMakeCCompilerABI.c -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fmath-errno -ffp-contract=on -fno-rounding-math -mconstructor-aliases -funwind-tables=2 -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -fdebug-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT -v -fcoverage-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-bMDMMT -resource-dir /usr/lib/llvm-21/lib/clang/21 -dependency-file CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o.d -MT CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -sys-header-deps -internal-isystem /usr/lib/llvm-21/lib/clang/21/include -internal-isystem /usr/local/include -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include -internal-externc-isystem /usr/include/x86_64-linux-gnu -internal-externc-isystem /include -internal-externc-isystem /usr/include -ferror-limit 19 -fgnuc-version=4.2.1 -fskip-odr-check-in-gmf -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -x c /usr/share/cmake-3.31/Modules/CMakeCCompilerABI.c]
        ignore line: [clang -cc1 version 21.1.8 based upon LLVM 21.1.8 default target x86_64-pc-linux-gnu]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include"]
        ignore line: [ignoring nonexistent directory "/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/llvm-21/lib/clang/21/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include/x86_64-linux-gnu]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [[2/2] : && /usr/bin/cc  -v -Wl -v CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -o cmTC_f416f   && :]
        ignore line: [Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/lib/llvm-21/bin]
        ignore line: [Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Candidate multilib: .]
        ignore line: [@m64]
        ignore line: [Selected multilib: .]
        ignore line: [@m64]
        link line: [ "/usr/bin/ld" --hash-style=gnu --build-id --eh-frame-hdr -m elf_x86_64 -pie -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_f416f /lib/x86_64-linux-gnu/Scrt1.o /lib/x86_64-linux-gnu/crti.o /usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o -L/usr/lib/gcc/x86_64-linux-gnu/14 -L/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64 -L/lib/x86_64-linux-gnu -L/lib/../lib64 -L/usr/lib/x86_64-linux-gnu -L/usr/lib64 -L/lib -L/usr/lib -v CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o -lgcc --as-needed -lgcc_s --no-as-needed -lc -lgcc --as-needed -lgcc_s --no-as-needed /usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o /lib/x86_64-linux-gnu/crtn.o]
          arg [/usr/bin/ld] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [--build-id] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-pie] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_f416f] ==> ignore
          arg [/lib/x86_64-linux-gnu/Scrt1.o] ==> obj [/lib/x86_64-linux-gnu/Scrt1.o]
          arg [/lib/x86_64-linux-gnu/crti.o] ==> obj [/lib/x86_64-linux-gnu/crti.o]
          arg [/usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o] ==> obj [/usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o]
          arg [-L/usr/lib/gcc/x86_64-linux-gnu/14] ==> dir [/usr/lib/gcc/x86_64-linux-gnu/14]
          arg [-L/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64]
          arg [-L/lib/x86_64-linux-gnu] ==> dir [/lib/x86_64-linux-gnu]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/x86_64-linux-gnu] ==> dir [/usr/lib/x86_64-linux-gnu]
          arg [-L/usr/lib64] ==> dir [/usr/lib64]
          arg [-L/lib] ==> dir [/lib]
          arg [-L/usr/lib] ==> dir [/usr/lib]
          arg [-v] ==> ignore
          arg [CMakeFiles/cmTC_f416f.dir/CMakeCCompilerABI.c.o] ==> ignore
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [-lc] ==> lib [c]
          arg [-lgcc] ==> lib [gcc]
          arg [--as-needed] ==> ignore
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [--no-as-needed] ==> ignore
          arg [/usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o] ==> obj [/usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o]
          arg [/lib/x86_64-linux-gnu/crtn.o] ==> obj [/lib/x86_64-linux-gnu/crtn.o]
        linker tool for 'C': /usr/bin/ld
        collapse library dir [/usr/lib/gcc/x86_64-linux-gnu/14] ==> [/usr/lib/gcc/x86_64-linux-gnu/14]
        collapse library dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/x86_64-linux-gnu] ==> [/lib/x86_64-linux-gnu]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/x86_64-linux-gnu] ==> [/usr/lib/x86_64-linux-gnu]
        collapse library dir [/usr/lib64] ==> [/usr/lib64]
        collapse library dir [/lib] ==> [/lib]
        collapse library dir [/usr/lib] ==> [/usr/lib]
        implicit libs: [gcc;gcc_s;c;gcc;gcc_s]
        implicit objs: [/lib/x86_64-linux-gnu/Scrt1.o;/lib/x86_64-linux-gnu/crti.o;/usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o;/usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o;/lib/x86_64-linux-gnu/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-linux-gnu/14;/usr/lib64;/lib/x86_64-linux-gnu;/lib64;/usr/lib/x86_64-linux-gnu;/lib;/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Running the C compiler's linker: "/usr/bin/ld" "-v"
      GNU ld (GNU Binutils for Debian) 2.44
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:74 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    checks:
      - "Detecting CXX compiler ABI info"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "CMAKE_CXX_ABI_COMPILED"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_5cbb1
        [1/2] /usr/bin/c++   -v -MD -MT CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake-3.31/Modules/CMakeCXXCompilerABI.cpp
        Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
        Target: x86_64-pc-linux-gnu
        Thread model: posix
        InstalledDir: /usr/lib/llvm-21/bin
        Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Candidate multilib: .;@m64
        Selected multilib: .;@m64
         (in-process)
         "/usr/lib/llvm-21/bin/clang" -cc1 -triple x86_64-pc-linux-gnu -emit-obj -disable-free -clear-ast-before-backend -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fmath-errno -ffp-contract=on -fno-rounding-math -mconstructor-aliases -funwind-tables=2 -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -fdebug-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr -v -fcoverage-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr -resource-dir /usr/lib/llvm-21/lib/clang/21 -dependency-file CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o.d -MT CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -sys-header-deps -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14 -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/x86_64-linux-gnu/c++/14 -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14/backward -internal-isystem /usr/lib/llvm-21/lib/clang/21/include -internal-isystem /usr/local/include -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include -internal-externc-isystem /usr/include/x86_64-linux-gnu -internal-externc-isystem /include -internal-externc-isystem /usr/include -fdeprecated-macro -ferror-limit 19 -fgnuc-version=4.2.1 -fskip-odr-check-in-gmf -fcxx-exceptions -fexceptions -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -x c++ /usr/share/cmake-3.31/Modules/CMakeCXXCompilerABI.cpp
        clang -cc1 version 21.1.8 based upon LLVM 21.1.8 default target x86_64-pc-linux-gnu
        ignoring nonexistent directory "/usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include"
        ignoring nonexistent directory "/include"
        #include "..." search starts here:
        #include <...> search starts here:
         /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14
         /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/x86_64-linux-gnu/c++/14
         /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14/backward
         /usr/lib/llvm-21/lib/clang/21/include
         /usr/local/include
         /usr/include/x86_64-linux-gnu
         /usr/include
        End of search list.
        [2/2] : && /usr/bin/c++  -v -Wl,-v CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_5cbb1   && :
        Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
        Target: x86_64-pc-linux-gnu
        Thread model: posix
        InstalledDir: /usr/lib/llvm-21/bin
        Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14
        Candidate multilib: .;@m64
        Selected multilib: .;@m64
         "/usr/bin/ld" --hash-style=gnu --build-id --eh-frame-hdr -m elf_x86_64 -pie -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_5cbb1 /lib/x86_64-linux-gnu/Scrt1.o /lib/x86_64-linux-gnu/crti.o /usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o -L/usr/lib/gcc/x86_64-linux-gnu/14 -L/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64 -L/lib/x86_64-linux-gnu -L/lib/../lib64 -L/usr/lib/x86_64-linux-gnu -L/usr/lib64 -L/lib -L/usr/lib -v CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o /lib/x86_64-linux-gnu/crtn.o
        GNU ld (GNU Binutils for Debian) 2.44
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:182 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Parsed CXX implicit include dir info: rv=done
        found start of include info
        found start of implicit include info
          add: [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14]
          add: [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/x86_64-linux-gnu/c++/14]
          add: [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14/backward]
          add: [/usr/lib/llvm-21/lib/clang/21/include]
          add: [/usr/local/include]
          add: [/usr/include/x86_64-linux-gnu]
          add: [/usr/include]
        end of search list found
        collapse include dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14] ==> [/usr/include/c++/14]
        collapse include dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/x86_64-linux-gnu/c++/14] ==> [/usr/include/x86_64-linux-gnu/c++/14]
        collapse include dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14/backward] ==> [/usr/include/c++/14/backward]
        collapse include dir [/usr/lib/llvm-21/lib/clang/21/include] ==> [/usr/lib/llvm-21/lib/clang/21/include]
        collapse include dir [/usr/local/include] ==> [/usr/local/include]
        collapse include dir [/usr/include/x86_64-linux-gnu] ==> [/usr/include/x86_64-linux-gnu]
        collapse include dir [/usr/include] ==> [/usr/include]
        implicit include dirs: [/usr/include/c++/14;/usr/include/x86_64-linux-gnu/c++/14;/usr/include/c++/14/backward;/usr/lib/llvm-21/lib/clang/21/include;/usr/local/include;/usr/include/x86_64-linux-gnu;/usr/include]
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:218 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Parsed CXX implicit link information:
        link line regex: [^( *|.*[/\\])(ld[0-9]*(\\.[a-z]+)?|CMAKE_LINK_STARTFILE-NOTFOUND|([^/\\]+-)?ld|collect2)[^/\\]*( |$)]
        linker tool regex: [^[ 	]*(->|")?[ 	]*(([^"]*[/\\])?(ld[0-9]*(\\.[a-z]+)?))("|,| |$)]
        ignore line: [Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr']
        ignore line: []
        ignore line: [Run Build Command(s): /usr/bin/ninja -v cmTC_5cbb1]
        ignore line: [[1/2] /usr/bin/c++   -v -MD -MT CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -MF CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o.d -o CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -c /usr/share/cmake-3.31/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/lib/llvm-21/bin]
        ignore line: [Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Candidate multilib: .]
        ignore line: [@m64]
        ignore line: [Selected multilib: .]
        ignore line: [@m64]
        ignore line: [ (in-process)]
        ignore line: [ "/usr/lib/llvm-21/bin/clang" -cc1 -triple x86_64-pc-linux-gnu -emit-obj -disable-free -clear-ast-before-backend -disable-llvm-verifier -discard-value-names -main-file-name CMakeCXXCompilerABI.cpp -mrelocation-model pic -pic-level 2 -pic-is-pie -mframe-pointer=all -fmath-errno -ffp-contract=on -fno-rounding-math -mconstructor-aliases -funwind-tables=2 -target-cpu x86-64 -tune-cpu generic -debugger-tuning=gdb -fdebug-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr -v -fcoverage-compilation-dir=/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-fFQpLr -resource-dir /usr/lib/llvm-21/lib/clang/21 -dependency-file CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o.d -MT CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -sys-header-deps -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14 -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/x86_64-linux-gnu/c++/14 -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14/backward -internal-isystem /usr/lib/llvm-21/lib/clang/21/include -internal-isystem /usr/local/include -internal-isystem /usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include -internal-externc-isystem /usr/include/x86_64-linux-gnu -internal-externc-isystem /include -internal-externc-isystem /usr/include -fdeprecated-macro -ferror-limit 19 -fgnuc-version=4.2.1 -fskip-odr-check-in-gmf -fcxx-exceptions -fexceptions -faddrsig -D__GCC_HAVE_DWARF2_CFI_ASM=1 -o CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -x c++ /usr/share/cmake-3.31/Modules/CMakeCXXCompilerABI.cpp]
        ignore line: [clang -cc1 version 21.1.8 based upon LLVM 21.1.8 default target x86_64-pc-linux-gnu]
        ignore line: [ignoring nonexistent directory "/usr/lib/gcc/x86_64-linux-gnu/14/../../../../x86_64-linux-gnu/include"]
        ignore line: [ignoring nonexistent directory "/include"]
        ignore line: [#include "..." search starts here:]
        ignore line: [#include <...> search starts here:]
        ignore line: [ /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14]
        ignore line: [ /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/x86_64-linux-gnu/c++/14]
        ignore line: [ /usr/lib/gcc/x86_64-linux-gnu/14/../../../../include/c++/14/backward]
        ignore line: [ /usr/lib/llvm-21/lib/clang/21/include]
        ignore line: [ /usr/local/include]
        ignore line: [ /usr/include/x86_64-linux-gnu]
        ignore line: [ /usr/include]
        ignore line: [End of search list.]
        ignore line: [[2/2] : && /usr/bin/c++  -v -Wl -v CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -o cmTC_5cbb1   && :]
        ignore line: [Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)]
        ignore line: [Target: x86_64-pc-linux-gnu]
        ignore line: [Thread model: posix]
        ignore line: [InstalledDir: /usr/lib/llvm-21/bin]
        ignore line: [Found candidate GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Selected GCC installation: /usr/lib/gcc/x86_64-linux-gnu/14]
        ignore line: [Candidate multilib: .]
        ignore line: [@m64]
        ignore line: [Selected multilib: .]
        ignore line: [@m64]
        link line: [ "/usr/bin/ld" --hash-style=gnu --build-id --eh-frame-hdr -m elf_x86_64 -pie -dynamic-linker /lib64/ld-linux-x86-64.so.2 -o cmTC_5cbb1 /lib/x86_64-linux-gnu/Scrt1.o /lib/x86_64-linux-gnu/crti.o /usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o -L/usr/lib/gcc/x86_64-linux-gnu/14 -L/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64 -L/lib/x86_64-linux-gnu -L/lib/../lib64 -L/usr/lib/x86_64-linux-gnu -L/usr/lib64 -L/lib -L/usr/lib -v CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o -lstdc++ -lm -lgcc_s -lgcc -lc -lgcc_s -lgcc /usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o /lib/x86_64-linux-gnu/crtn.o]
          arg [/usr/bin/ld] ==> ignore
          arg [--hash-style=gnu] ==> ignore
          arg [--build-id] ==> ignore
          arg [--eh-frame-hdr] ==> ignore
          arg [-m] ==> ignore
          arg [elf_x86_64] ==> ignore
          arg [-pie] ==> ignore
          arg [-dynamic-linker] ==> ignore
          arg [/lib64/ld-linux-x86-64.so.2] ==> ignore
          arg [-o] ==> ignore
          arg [cmTC_5cbb1] ==> ignore
          arg [/lib/x86_64-linux-gnu/Scrt1.o] ==> obj [/lib/x86_64-linux-gnu/Scrt1.o]
          arg [/lib/x86_64-linux-gnu/crti.o] ==> obj [/lib/x86_64-linux-gnu/crti.o]
          arg [/usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o] ==> obj [/usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o]
          arg [-L/usr/lib/gcc/x86_64-linux-gnu/14] ==> dir [/usr/lib/gcc/x86_64-linux-gnu/14]
          arg [-L/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64] ==> dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64]
          arg [-L/lib/x86_64-linux-gnu] ==> dir [/lib/x86_64-linux-gnu]
          arg [-L/lib/../lib64] ==> dir [/lib/../lib64]
          arg [-L/usr/lib/x86_64-linux-gnu] ==> dir [/usr/lib/x86_64-linux-gnu]
          arg [-L/usr/lib64] ==> dir [/usr/lib64]
          arg [-L/lib] ==> dir [/lib]
          arg [-L/usr/lib] ==> dir [/usr/lib]
          arg [-v] ==> ignore
          arg [CMakeFiles/cmTC_5cbb1.dir/CMakeCXXCompilerABI.cpp.o] ==> ignore
          arg [-lstdc++] ==> lib [stdc++]
          arg [-lm] ==> lib [m]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [-lc] ==> lib [c]
          arg [-lgcc_s] ==> lib [gcc_s]
          arg [-lgcc] ==> lib [gcc]
          arg [/usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o] ==> obj [/usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o]
          arg [/lib/x86_64-linux-gnu/crtn.o] ==> obj [/lib/x86_64-linux-gnu/crtn.o]
        linker tool for 'CXX': /usr/bin/ld
        collapse library dir [/usr/lib/gcc/x86_64-linux-gnu/14] ==> [/usr/lib/gcc/x86_64-linux-gnu/14]
        collapse library dir [/usr/lib/gcc/x86_64-linux-gnu/14/../../../../lib64] ==> [/usr/lib64]
        collapse library dir [/lib/x86_64-linux-gnu] ==> [/lib/x86_64-linux-gnu]
        collapse library dir [/lib/../lib64] ==> [/lib64]
        collapse library dir [/usr/lib/x86_64-linux-gnu] ==> [/usr/lib/x86_64-linux-gnu]
        collapse library dir [/usr/lib64] ==> [/usr/lib64]
        collapse library dir [/lib] ==> [/lib]
        collapse library dir [/usr/lib] ==> [/usr/lib]
        implicit libs: [stdc++;m;gcc_s;gcc;c;gcc_s;gcc]
        implicit objs: [/lib/x86_64-linux-gnu/Scrt1.o;/lib/x86_64-linux-gnu/crti.o;/usr/lib/gcc/x86_64-linux-gnu/14/crtbeginS.o;/usr/lib/gcc/x86_64-linux-gnu/14/crtendS.o;/lib/x86_64-linux-gnu/crtn.o]
        implicit dirs: [/usr/lib/gcc/x86_64-linux-gnu/14;/usr/lib64;/lib/x86_64-linux-gnu;/lib64;/usr/lib/x86_64-linux-gnu;/lib;/usr/lib]
        implicit fwks: []
      
      
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CMakeDetermineLinkerId.cmake:40 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerABI.cmake:255 (cmake_determine_linker_id)"
      - "/usr/share/cmake-3.31/Modules/CMakeTestCXXCompiler.cmake:26 (CMAKE_DETERMINE_COMPILER_ABI)"
      - "CMakeLists.txt:26 (project)"
    message: |
      Running the CXX compiler's linker: "/usr/bin/ld" "-v"
      GNU ld (GNU Binutils for Debian) 2.44
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckLinkerFlag.cmake:37 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckPIESupported.cmake:123 (cmake_check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:195 (check_pie_supported)"
      - "CMakeLists.txt:48 (include)"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-D2tIFi"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-D2tIFi"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "CMAKE_CXX_LINK_PIE_SUPPORTED"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-D2tIFi'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_96344
        [1/2] /usr/bin/c++ -DCMAKE_CXX_LINK_PIE_SUPPORTED  -std=c++23 -MD -MT CMakeFiles/cmTC_96344.dir/src.cxx.o -MF CMakeFiles/cmTC_96344.dir/src.cxx.o.d -o CMakeFiles/cmTC_96344.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-D2tIFi/src.cxx
        [2/2] : && /usr/bin/c++  -fPIE -pie CMakeFiles/cmTC_96344.dir/src.cxx.o -o cmTC_96344   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckLinkerFlag.cmake:37 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckPIESupported.cmake:133 (cmake_check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:195 (check_pie_supported)"
      - "CMakeLists.txt:48 (include)"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-rGswDZ"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-rGswDZ"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "CMAKE_CXX_LINK_NO_PIE_SUPPORTED"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-rGswDZ'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_c139d
        [1/2] /usr/bin/c++ -DCMAKE_CXX_LINK_NO_PIE_SUPPORTED  -std=c++23 -MD -MT CMakeFiles/cmTC_c139d.dir/src.cxx.o -MF CMakeFiles/cmTC_c139d.dir/src.cxx.o.d -o CMakeFiles/cmTC_c139d.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-rGswDZ/src.cxx
        [2/2] : && /usr/bin/c++  -no-pie CMakeFiles/cmTC_c139d.dir/src.cxx.o -o cmTC_c139d   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckLinkerFlag.cmake:37 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckLinkerFlag.cmake:44 (cmake_check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:43 (check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:204 (add_cxx_link_option_if_supported)"
      - "CMakeLists.txt:48 (include)"
    checks:
      - "Performing Test LAGOM_LINKER_SUPPORTS_LINKER:-z,relro"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Bueuov"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Bueuov"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "LAGOM_LINKER_SUPPORTS_LINKER:-z,relro"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Bueuov'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_76a6c
        [1/2] /usr/bin/c++   -std=c++23 -fPIE   -DLAGOM_LINKER_SUPPORTS_LINKER:-z,relro -MD -MT CMakeFiles/cmTC_76a6c.dir/src.cxx.o -MF CMakeFiles/cmTC_76a6c.dir/src.cxx.o.d -o CMakeFiles/cmTC_76a6c.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Bueuov/src.cxx
        In file included from <built-in>:495:
        <command line>:1:37: warning: ISO C99 requires whitespace after the macro name [-Wc99-extensions]
            1 | #define LAGOM_LINKER_SUPPORTS_LINKER:-z,relro 1
              |                                     ^
        1 warning generated.
        [2/2] : && /usr/bin/c++  -Xlinker -z -Xlinker relro CMakeFiles/cmTC_76a6c.dir/src.cxx.o -o cmTC_76a6c   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckLinkerFlag.cmake:37 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckLinkerFlag.cmake:44 (cmake_check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:43 (check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:205 (add_cxx_link_option_if_supported)"
      - "CMakeLists.txt:48 (include)"
    checks:
      - "Performing Test LAGOM_LINKER_SUPPORTS_LINKER:-z,now"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-QRJWex"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-QRJWex"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "LAGOM_LINKER_SUPPORTS_LINKER:-z,now"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-QRJWex'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_d5aef
        [1/2] /usr/bin/c++   -std=c++23 -fPIE   -DLAGOM_LINKER_SUPPORTS_LINKER:-z,now -MD -MT CMakeFiles/cmTC_d5aef.dir/src.cxx.o -MF CMakeFiles/cmTC_d5aef.dir/src.cxx.o.d -o CMakeFiles/cmTC_d5aef.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-QRJWex/src.cxx
        In file included from <built-in>:495:
        <command line>:1:37: warning: ISO C99 requires whitespace after the macro name [-Wc99-extensions]
            1 | #define LAGOM_LINKER_SUPPORTS_LINKER:-z,now 1
              |                                     ^
        1 warning generated.
        [2/2] : && /usr/bin/c++  -Xlinker -z -Xlinker now CMakeFiles/cmTC_d5aef.dir/src.cxx.o -o cmTC_d5aef   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckLinkerFlag.cmake:37 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckLinkerFlag.cmake:44 (cmake_check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:43 (check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:221 (add_cxx_link_option_if_supported)"
      - "CMakeLists.txt:48 (include)"
    checks:
      - "Performing Test LAGOM_LINKER_SUPPORTS_LINKER:--gdb-index"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-zGia2T"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-zGia2T"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "LAGOM_LINKER_SUPPORTS_LINKER:--gdb-index"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-zGia2T'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_3cee6
        [1/2] /usr/bin/c++   -std=c++23 -fPIE   -DLAGOM_LINKER_SUPPORTS_LINKER:--gdb-index -MD -MT CMakeFiles/cmTC_3cee6.dir/src.cxx.o -MF CMakeFiles/cmTC_3cee6.dir/src.cxx.o.d -o CMakeFiles/cmTC_3cee6.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-zGia2T/src.cxx
        In file included from <built-in>:495:
        <command line>:1:37: warning: ISO C99 requires whitespace after the macro name [-Wc99-extensions]
            1 | #define LAGOM_LINKER_SUPPORTS_LINKER:--gdb-index 1
              |                                     ^
        1 warning generated.
        [2/2] : && /usr/bin/c++  -Xlinker --gdb-index CMakeFiles/cmTC_3cee6.dir/src.cxx.o -o cmTC_3cee6   && :
        FAILED: cmTC_3cee6 
        : && /usr/bin/c++  -Xlinker --gdb-index CMakeFiles/cmTC_3cee6.dir/src.cxx.o -o cmTC_3cee6   && :
        /usr/bin/ld: unrecognized option '--gdb-index'
        /usr/bin/ld: use the --help option for usage information
        c++: error: linker command failed with exit code 1 (use -v to see invocation)
        ninja: build stopped: subcommand failed.
        
      exitCode: 1
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckLinkerFlag.cmake:37 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckLinkerFlag.cmake:44 (cmake_check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:43 (check_linker_flag)"
      - "Meta/CMake/compile_options.cmake:224 (add_cxx_link_option_if_supported)"
      - "CMakeLists.txt:48 (include)"
    checks:
      - "Performing Test LAGOM_LINKER_SUPPORTS_LINKER:-Bsymbolic-non-weak-functions"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-gWOAdE"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-gWOAdE"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "LAGOM_LINKER_SUPPORTS_LINKER:-Bsymbolic-non-weak-functions"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-gWOAdE'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_3e2d2
        [1/2] /usr/bin/c++   -std=c++23 -fPIE   -DLAGOM_LINKER_SUPPORTS_LINKER:-Bsymbolic-non-weak-functions -MD -MT CMakeFiles/cmTC_3e2d2.dir/src.cxx.o -MF CMakeFiles/cmTC_3e2d2.dir/src.cxx.o.d -o CMakeFiles/cmTC_3e2d2.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-gWOAdE/src.cxx
        In file included from <built-in>:495:
        <command line>:1:37: warning: ISO C99 requires whitespace after the macro name [-Wc99-extensions]
            1 | #define LAGOM_LINKER_SUPPORTS_LINKER:-Bsymbolic-non-weak-functions 1
              |                                     ^
        1 warning generated.
        [2/2] : && /usr/bin/c++  -Xlinker -Bsymbolic-non-weak-functions CMakeFiles/cmTC_3e2d2.dir/src.cxx.o -o cmTC_3e2d2   && :
        FAILED: cmTC_3e2d2 
        : && /usr/bin/c++  -Xlinker -Bsymbolic-non-weak-functions CMakeFiles/cmTC_3e2d2.dir/src.cxx.o -o cmTC_3e2d2   && :
        /usr/bin/ld: unrecognized option '-Bsymbolic-non-weak-functions'
        /usr/bin/ld: use the --help option for usage information
        c++: error: linker command failed with exit code 1 (use -v to see invocation)
        ninja: build stopped: subcommand failed.
        
      exitCode: 1
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CheckSymbolExists.cmake:163 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckSymbolExists.cmake:68 (__CHECK_SYMBOL_EXISTS_IMPL)"
      - "/usr/share/cmake-3.31/Modules/FindBacktrace.cmake:73 (check_symbol_exists)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "Meta/CMake/check_for_dependencies.cmake:12 (find_package)"
      - "CMakeLists.txt:49 (include)"
    checks:
      - "Looking for backtrace"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-XONvOq"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-XONvOq"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "_Backtrace_SYM_FOUND"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-XONvOq'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_0148f
        [1/2] /usr/bin/cc   -fPIE -MD -MT CMakeFiles/cmTC_0148f.dir/CheckSymbolExists.c.o -MF CMakeFiles/cmTC_0148f.dir/CheckSymbolExists.c.o.d -o CMakeFiles/cmTC_0148f.dir/CheckSymbolExists.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-XONvOq/CheckSymbolExists.c
        [2/2] : && /usr/bin/cc   CMakeFiles/cmTC_0148f.dir/CheckSymbolExists.c.o -o cmTC_0148f   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckCSourceCompiles.cmake:58 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/FindThreads.cmake:97 (CHECK_C_SOURCE_COMPILES)"
      - "/usr/share/cmake-3.31/Modules/FindThreads.cmake:163 (_threads_check_libc)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "/usr/share/cmake-3.31/Modules/CMakeFindDependencyMacro.cmake:76 (find_package)"
      - "Build/release/vcpkg_installed/x64-linux-dynamic/share/zstd/zstdConfig.cmake:29 (find_dependency)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "/usr/share/cmake-3.31/Modules/CMakeFindDependencyMacro.cmake:76 (find_package)"
      - "Build/release/vcpkg_installed/x64-linux-dynamic/share/cpptrace/cpptrace-config.cmake:9 (find_dependency)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "Meta/CMake/check_for_dependencies.cmake:13 (find_package)"
      - "CMakeLists.txt:49 (include)"
    checks:
      - "Performing Test CMAKE_HAVE_LIBC_PTHREAD"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-5Jq8Wx"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-5Jq8Wx"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "CMAKE_HAVE_LIBC_PTHREAD"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-5Jq8Wx'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_54431
        [1/2] /usr/bin/cc -DCMAKE_HAVE_LIBC_PTHREAD  -fPIE -MD -MT CMakeFiles/cmTC_54431.dir/src.c.o -MF CMakeFiles/cmTC_54431.dir/src.c.o.d -o CMakeFiles/cmTC_54431.dir/src.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-5Jq8Wx/src.c
        [2/2] : && /usr/bin/cc   CMakeFiles/cmTC_54431.dir/src.c.o -o cmTC_54431   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckCSourceCompiles.cmake:58 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/FindIconv.cmake:118 (check_c_source_compiles)"
      - "Build/release/vcpkg_installed/x64-linux-dynamic/share/iconv/vcpkg-cmake-wrapper.cmake:15 (_find_package)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:864 (include)"
      - "/usr/share/cmake-3.31/Modules/CMakeFindDependencyMacro.cmake:76 (find_package)"
      - "Build/release/vcpkg_installed/x64-linux-dynamic/share/libxml2/libxml2-config.cmake:126 (find_dependency)"
      - "Build/release/vcpkg_installed/x64-linux-dynamic/share/libxml2/vcpkg-cmake-wrapper.cmake:2 (_find_package)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:864 (include)"
      - "Meta/CMake/check_for_dependencies.cmake:76 (find_package)"
      - "CMakeLists.txt:49 (include)"
    checks:
      - "Performing Test Iconv_IS_BUILT_IN"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-lgIpFO"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-lgIpFO"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: ""
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "Iconv_IS_BUILT_IN"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-lgIpFO'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_d2bc3
        [1/2] /usr/bin/cc -DIconv_IS_BUILT_IN  -fPIE -MD -MT CMakeFiles/cmTC_d2bc3.dir/src.c.o -MF CMakeFiles/cmTC_d2bc3.dir/src.c.o.d -o CMakeFiles/cmTC_d2bc3.dir/src.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-lgIpFO/src.c
        [2/2] : && /usr/bin/cc   CMakeFiles/cmTC_d2bc3.dir/src.c.o -o cmTC_d2bc3   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CheckIncludeFile.cmake:99 (try_compile)"
      - "Libraries/LibCore/CMakeLists.txt:62 (check_include_file)"
    checks:
      - "Looking for sys/inotify.h"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-iNmSmU"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-iNmSmU"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "HAVE_INOTIFY"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-iNmSmU'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_d8abf
        [1/2] /usr/bin/cc   -fPIE -MD -MT CMakeFiles/cmTC_d8abf.dir/CheckIncludeFile.c.o -MF CMakeFiles/cmTC_d8abf.dir/CheckIncludeFile.c.o.d -o CMakeFiles/cmTC_d8abf.dir/CheckIncludeFile.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-iNmSmU/CheckIncludeFile.c
        [2/2] : && /usr/bin/cc   CMakeFiles/cmTC_d8abf.dir/CheckIncludeFile.c.o -o cmTC_d8abf   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckCompilerFlag.cmake:56 (cmake_check_compiler_flag)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:238 (check_compiler_flag)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:419 (_test_compiler_hidden_visibility)"
      - "Meta/CMake/targets.cmake:18 (generate_export_header)"
      - "Meta/CMake/targets.cmake:143 (ladybird_generate_export_header)"
      - "Libraries/LibCore/CMakeLists.txt:98 (ladybird_lib)"
    checks:
      - "Performing Test COMPILER_HAS_HIDDEN_VISIBILITY"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-jBCXqa"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-jBCXqa"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "COMPILER_HAS_HIDDEN_VISIBILITY"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-jBCXqa'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_4adcd
        [1/2] /usr/bin/c++ -DCOMPILER_HAS_HIDDEN_VISIBILITY  -std=c++23 -fPIE   -fvisibility=hidden -MD -MT CMakeFiles/cmTC_4adcd.dir/src.cxx.o -MF CMakeFiles/cmTC_4adcd.dir/src.cxx.o.d -o CMakeFiles/cmTC_4adcd.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-jBCXqa/src.cxx
        [2/2] : && /usr/bin/c++   CMakeFiles/cmTC_4adcd.dir/src.cxx.o -o cmTC_4adcd   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/Internal/CheckCompilerFlag.cmake:18 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/CheckCompilerFlag.cmake:56 (cmake_check_compiler_flag)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:239 (check_compiler_flag)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:419 (_test_compiler_hidden_visibility)"
      - "Meta/CMake/targets.cmake:18 (generate_export_header)"
      - "Meta/CMake/targets.cmake:143 (ladybird_generate_export_header)"
      - "Libraries/LibCore/CMakeLists.txt:98 (ladybird_lib)"
    checks:
      - "Performing Test COMPILER_HAS_HIDDEN_INLINE_VISIBILITY"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-HURvQB"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-HURvQB"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "COMPILER_HAS_HIDDEN_INLINE_VISIBILITY"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-HURvQB'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_44ca7
        [1/2] /usr/bin/c++ -DCOMPILER_HAS_HIDDEN_INLINE_VISIBILITY  -std=c++23 -fPIE   -fvisibility-inlines-hidden -MD -MT CMakeFiles/cmTC_44ca7.dir/src.cxx.o -MF CMakeFiles/cmTC_44ca7.dir/src.cxx.o.d -o CMakeFiles/cmTC_44ca7.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-HURvQB/src.cxx
        [2/2] : && /usr/bin/c++   CMakeFiles/cmTC_44ca7.dir/src.cxx.o -o cmTC_44ca7   && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckSourceCompiles.cmake:89 (cmake_check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:206 (check_source_compiles)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:263 (_check_cxx_compiler_attribute)"
      - "/usr/share/cmake-3.31/Modules/GenerateExportHeader.cmake:420 (_test_compiler_has_deprecated)"
      - "Meta/CMake/targets.cmake:18 (generate_export_header)"
      - "Meta/CMake/targets.cmake:143 (ladybird_generate_export_header)"
      - "Libraries/LibCore/CMakeLists.txt:98 (ladybird_lib)"
    checks:
      - "Performing Test COMPILER_HAS_DEPRECATED_ATTR"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-x7osYL"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-x7osYL"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "COMPILER_HAS_DEPRECATED_ATTR"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-x7osYL'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_dbe36
        [1/2] /usr/bin/c++ -DCOMPILER_HAS_DEPRECATED_ATTR  -std=c++23 -fPIE -MD -MT CMakeFiles/cmTC_dbe36.dir/src.cxx.o -MF CMakeFiles/cmTC_dbe36.dir/src.cxx.o.d -o CMakeFiles/cmTC_dbe36.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-x7osYL/src.cxx
        /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-x7osYL/src.cxx:2:25: warning: 'somefunc' is deprecated [-Wdeprecated-declarations]
            2 |     int main() { return somefunc();}
              |                         ^
        /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-x7osYL/src.cxx:1:16: note: 'somefunc' has been explicitly marked deprecated here
            1 | __attribute__((__deprecated__)) int somefunc() { return 0; }
              |                ^
        1 warning generated.
        [2/2] : && /usr/bin/c++   CMakeFiles/cmTC_dbe36.dir/src.cxx.o -o cmTC_dbe36   && :
        
      exitCode: 0
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:1250 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineASMCompiler.cmake:135 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "Libraries/LibJS/CMakeLists.txt:334 (enable_language)"
    message: |
      Checking whether the ASM compiler is GNU using "--version" did not match "(GNU assembler)|(GCC)|(Free Software Foundation)":
      Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
      Target: x86_64-pc-linux-gnu
      Thread model: posix
      InstalledDir: /usr/lib/llvm-21/bin
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:1250 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineASMCompiler.cmake:135 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "Libraries/LibJS/CMakeLists.txt:334 (enable_language)"
    message: |
      Checking whether the ASM compiler is AppleClang using "--version" did not match "(Apple (clang|LLVM) version)":
      Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
      Target: x86_64-pc-linux-gnu
      Thread model: posix
      InstalledDir: /usr/lib/llvm-21/bin
  -
    kind: "message-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineCompilerId.cmake:1237 (message)"
      - "/usr/share/cmake-3.31/Modules/CMakeDetermineASMCompiler.cmake:135 (CMAKE_DETERMINE_COMPILER_ID_VENDOR)"
      - "Libraries/LibJS/CMakeLists.txt:334 (enable_language)"
    message: |
      Checking whether the ASM compiler is Clang using "--version" matched "(clang version)":
      Debian clang version 21.1.8 (++20251221033036+2078da43e25a-1~exp1~20251221153213.50)
      Target: x86_64-pc-linux-gnu
      Thread model: posix
      InstalledDir: /usr/lib/llvm-21/bin
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckCSourceCompiles.cmake:58 (cmake_check_source_compiles)"
      - "Libraries/LibImageDecoders/CMakeLists.txt:58 (check_c_source_compiles)"
    checks:
      - "Performing Test LIBPNG_HAS_APNG"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-IzwaPv"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-IzwaPv"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "LIBPNG_HAS_APNG"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-IzwaPv'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_52c31
        [1/2] /usr/bin/cc -DLIBPNG_HAS_APNG -isystem /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed/x64-linux-dynamic/include -fPIE -MD -MT CMakeFiles/cmTC_52c31.dir/src.c.o -MF CMakeFiles/cmTC_52c31.dir/src.c.o.d -o CMakeFiles/cmTC_52c31.dir/src.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-IzwaPv/src.c
        [2/2] : && /usr/bin/cc   CMakeFiles/cmTC_52c31.dir/src.c.o -o cmTC_52c31  -Wl,-rpath,/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed/x64-linux-dynamic/lib  /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed/x64-linux-dynamic/lib/libpng16.so  /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed/x64-linux-dynamic/lib/libz.so && :
        
      exitCode: 0
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckCSourceCompiles.cmake:58 (cmake_check_source_compiles)"
      - "Utilities/CMakeLists.txt:27 (check_c_source_compiles)"
    checks:
      - "Performing Test ASSERT_FAIL_HAS_INT"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-4pw6DZ"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-4pw6DZ"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_C_FLAGS: ""
      CMAKE_C_FLAGS_DEBUG: "-g"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "ASSERT_FAIL_HAS_INT"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-4pw6DZ'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_9b518
        [1/2] /usr/bin/cc -DASSERT_FAIL_HAS_INT  -fPIE -MD -MT CMakeFiles/cmTC_9b518.dir/src.c.o -MF CMakeFiles/cmTC_9b518.dir/src.c.o.d -o CMakeFiles/cmTC_9b518.dir/src.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-4pw6DZ/src.c
        FAILED: CMakeFiles/cmTC_9b518.dir/src.c.o 
        /usr/bin/cc -DASSERT_FAIL_HAS_INT  -fPIE -MD -MT CMakeFiles/cmTC_9b518.dir/src.c.o -MF CMakeFiles/cmTC_9b518.dir/src.c.o.d -o CMakeFiles/cmTC_9b518.dir/src.c.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-4pw6DZ/src.c
        /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-4pw6DZ/src.c:3:40: error: conflicting types for '__assert_fail'
            3 |     __attribute__((__noreturn__)) void __assert_fail(char const* assertion, char const* file, int line, char const* function) {}
              |                                        ^
        /usr/include/assert.h:69:13: note: previous declaration is here
           69 | extern void __assert_fail (const char *__assertion, const char *__file,
              |             ^
        1 error generated.
        ninja: build stopped: subcommand failed.
        
      exitCode: 1
  -
    kind: "try_compile-v1"
    backtrace:
      - "/usr/share/cmake-3.31/Modules/Internal/CheckSourceCompiles.cmake:108 (try_compile)"
      - "/usr/share/cmake-3.31/Modules/CheckCXXSourceCompiles.cmake:58 (cmake_check_source_compiles)"
      - "/usr/lib/x86_64-linux-gnu/cmake/Qt6/FindWrapAtomic.cmake:36 (check_cxx_source_compiles)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "/usr/share/cmake-3.31/Modules/CMakeFindDependencyMacro.cmake:76 (find_package)"
      - "/usr/lib/x86_64-linux-gnu/cmake/Qt6/QtPublicDependencyHelpers.cmake:36 (find_dependency)"
      - "/lib/x86_64-linux-gnu/cmake/Qt6Core/Qt6CoreDependencies.cmake:35 (_qt_internal_find_third_party_dependencies)"
      - "/lib/x86_64-linux-gnu/cmake/Qt6Core/Qt6CoreConfig.cmake:55 (include)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "/lib/x86_64-linux-gnu/cmake/Qt6/Qt6Config.cmake:200 (find_package)"
      - "Build/vcpkg/scripts/buildsystems/vcpkg.cmake:910 (_find_package)"
      - "Tests/UI/Qt/CMakeLists.txt:5 (find_package)"
    checks:
      - "Performing Test HAVE_STDATOMIC"
    directories:
      source: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Dg6uSl"
      binary: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Dg6uSl"
    cmakeVariables:
      CMAKE_CXX_COMPILER_CLANG_SCAN_DEPS: "/usr/bin/clang-scan-deps-21"
      CMAKE_CXX_FLAGS: ""
      CMAKE_CXX_FLAGS_DEBUG: "-g"
      CMAKE_CXX_LINK_NO_PIE_SUPPORTED: "1"
      CMAKE_CXX_SCAN_FOR_MODULES: "OFF"
      CMAKE_EXE_LINKER_FLAGS: " "
      CMAKE_MODULE_PATH: "/mnt/mint/home/seanl/public/Repos/ladybird/Meta/CMake;/usr/lib/x86_64-linux-gnu/cmake/Qt6;/usr/lib/x86_64-linux-gnu/cmake/Qt6/3rdparty/extra-cmake-modules/find-modules;/usr/lib/x86_64-linux-gnu/cmake/Qt6/3rdparty/kwin"
      CMAKE_POSITION_INDEPENDENT_CODE: "ON"
      VCPKG_HOST_TRIPLET: "x64-linux-dynamic"
      VCPKG_INSTALLED_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/vcpkg_installed"
      VCPKG_PREFER_SYSTEM_LIBS: "OFF"
      VCPKG_TARGET_TRIPLET: "x64-linux-dynamic"
      Z_VCPKG_ROOT_DIR: "/mnt/mint/home/seanl/public/Repos/ladybird/Build/vcpkg"
    buildResult:
      variable: "HAVE_STDATOMIC"
      cached: true
      stdout: |
        Change Dir: '/mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Dg6uSl'
        
        Run Build Command(s): /usr/bin/ninja -v cmTC_c8f4b
        [1/2] /usr/bin/c++ -DHAVE_STDATOMIC  -std=c++23 -fPIE -MD -MT CMakeFiles/cmTC_c8f4b.dir/src.cxx.o -MF CMakeFiles/cmTC_c8f4b.dir/src.cxx.o.d -o CMakeFiles/cmTC_c8f4b.dir/src.cxx.o -c /mnt/mint/home/seanl/public/Repos/ladybird/Build/release/CMakeFiles/CMakeScratch/TryCompile-Dg6uSl/src.cxx
        [2/2] : && /usr/bin/c++   CMakeFiles/cmTC_c8f4b.dir/src.cxx.o -o cmTC_c8f4b   && :
        
      exitCode: 0
...
